SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001472SiT!searchpublic2011-02-22 20:122011-07-17 13:09
Reporterpaulh 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.62 LTS 
Target Version3.63 LTSFixed in Version3.63 LTS 
Summary0001472: search renewals doesn't work if no license specified
DescriptionIf you have a contract with no license type set then the items are missed

Report by Tom
Additional Informationpatch from Tom attached
Tagspatch
Attached Filespatch file icon search_renewals.patch [^] (1,058 bytes) 2011-02-22 20:12 [Show Content]

- Relationships
related to 0001484closedpaulh License type should have a default 

-  Notes
User avatar (0003636)
ivan (administrator)
2011-02-22 21:40

I don't think it should be possible to create contracts without a license type?? is that a separate bug that needs reporting?
User avatar (0003638)
paulh (administrator)
2011-02-23 09:13

its possible and turning out to be quite common as its hidden in the 'advanced' section
User avatar (0003672)
ivan (administrator)
2011-03-09 12:32

In that case, should there be a default license type?
User avatar (0003673)
paulh (administrator)
2011-03-09 12:55

I think defaulting to site makes sense
User avatar (0003680)
paulh (administrator)
2011-03-11 20:07

r7017 and 15a076a merge this patch, default to 4 site
User avatar (0003724)
ivan (administrator)
2011-04-16 15:07

Fix Released in 3.63

- Issue History
Date Modified Username Field Change
2011-02-22 20:12 paulh New Issue
2011-02-22 20:12 paulh File Added: search_renewals.patch
2011-02-22 21:40 ivan Note Added: 0003636
2011-02-22 21:40 ivan Tag Attached: patch
2011-02-23 09:13 paulh Note Added: 0003638
2011-03-08 10:38 ivan Status new => acknowledged
2011-03-09 12:32 ivan Note Added: 0003672
2011-03-09 12:55 paulh Note Added: 0003673
2011-03-09 14:52 ivan Relationship added related to 0001484
2011-03-11 20:07 paulh Note Added: 0003680
2011-03-11 20:07 paulh Assigned To => paulh
2011-03-11 20:07 paulh Status acknowledged => resolved
2011-03-11 20:07 paulh Resolution open => fixed
2011-03-11 20:07 paulh Fixed in Version => Current SVN
2011-03-11 20:07 paulh Target Version => 3.63 LTS
2011-04-16 15:07 ivan Note Added: 0003724
2011-04-16 15:07 ivan Status resolved => closed
2011-07-17 13:09 ivan Fixed in Version Current SVN => 3.63 LTS


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker